min_delka_45dB_poklesu=min(min(delky))

for k=i_up:-1:i_low
    eval(sprintf('radky=length(OBALKY_%dHz(:,1))',Fc(1,k)))
for i=1:radky
    eval(sprintf('hodnotyvetsi=max(find(OBALKY_%dHz(i,:) > -45))',Fc(1,k)))
    hodnoty(k-i_low+1,i)=hodnotyvetsi
end
    delka_matice=max(max(hodnoty))
end

MATICE=zeros(i_up-i_low+1,delka_matice)
MATICE(:,:)=-100
for k=i_up:-1:i_low
    eval(sprintf('radky=length(OBALKY_%dHz(:,1))',Fc(1,k)))
for i=1:radky
    eval(sprintf('hodnotyvetsi=max(find(OBALKY_%dHz(i,:) > -45))',Fc(1,k)))
    hodnoty(k-i_low+1,i)=hodnotyvetsi
end
    hranice_45dB=min(abs(hodnoty(k-i_low+1,:)))
    eval(sprintf('SOUCET=sum(OBALKY_%dHz(:,1:hranice_45dB))',Fc(1,k)))
    eval(sprintf('PRUMER%d=SOUCET/radky',Fc(1,k)))
    eval(sprintf('MATICE(k-i_low+1,1:hranice_45dB)=PRUMER%d',Fc(1,k)))
    plot(MATICE(k-i_low+1,:))
    hold on
end